function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
// 内库使用-start
import Bridge from "./../../../utils/Bridge";
// 内库使用-end

/* 测试使用-start
import { Bridge } from 'seedsui-react'
测试使用-end */

function support(shareTo) {
  // WeChat only support wechat
  if (Bridge.platform === 'wechat') {
    if (shareTo !== null && shareTo !== void 0 && shareTo.wechat) return true;
    return false;
  }

  // WeCom only support wecom
  if (Bridge.platform === 'wework') {
    if (shareTo !== null && shareTo !== void 0 && shareTo.wecom) return true;
    return false;
  }

  // DingTalk only support dingtalk
  if (Bridge.platform === 'dingtalk') {
    if (shareTo !== null && shareTo !== void 0 && shareTo.dingtalk) return true;
    return false;
  }

  // Lark only support lark
  if (Bridge.platform === 'lark') {
    if (shareTo !== null && shareTo !== void 0 && shareTo.lark) return true;
    return false;
  }

  // Custom Extension Items
  if (Array.isArray(shareTo === null || shareTo === void 0 ? void 0 : shareTo.extensions) && shareTo !== null && shareTo !== void 0 && shareTo.extensions.length) {
    var _iterator = _createForOfIteratorHelper(shareTo.extensions),
      _step;
    try {
      for (_iterator.s(); !(_step = _iterator.n()).done;) {
        var _extension$isVisible;
        var extension = _step.value;
        if (extension !== null && extension !== void 0 && (_extension$isVisible = extension.isVisible) !== null && _extension$isVisible !== void 0 && _extension$isVisible.call(extension, {
          shareTo: shareTo
        })) {
          return true;
        }
      }
    } catch (err) {
      _iterator.e(err);
    } finally {
      _iterator.f();
    }
  }
  return false;
}
export default support;